WebFaction
Community site: login faq

Hello I just upgraded PIP using easyinstall. Now I have PIP2.7 in my ~/bin directory.

I'm trying to upgrade several of my python packages but one of the dependencies seems to be failing. The package name is chardet.

https://pypi.python.org/pypi/chardet

I get the following error when this package is being upgraded/installed: Found exisiting installation: chardet 2.2.1 Uninstalling chardet-2.2.1 ... OSError: [Errno 13] Permission denied: '/usr/bin/chardetect'

Appreciate if you can help.

Best, Emilio

asked 03 Nov, 03:45

Emilio's gravatar image

Emilio
102
accept rate: 0%


Have you tried the --user --upgrade flags outlined in our documentation.

permanent link

answered 03 Nov, 04:20

johns's gravatar image

johns ♦♦
5.0k29
accept rate: 23%

edited 03 Nov, 04:21

John, thanks so much. I spent hours looking at the docs and never found that. Appreciate it.

(03 Nov, 05:03) Emilio Emilio's gravatar image
Your answer
toggle preview

Follow this question

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

Answers

Answers and Comments

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "title")
  • image?![alt text](/path/img.jpg "title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Question tags:

×50
×1

question asked: 03 Nov, 03:45

question was seen: 73 times

last updated: 03 Nov, 05:18

WEBFACTION
REACH US
SUPPORT
AFFILIATE PROGRAM
LEGAL
© COPYRIGHT 2003-2017 PARAGON INTERNET GROUP LIMITED
WEBFACTION IS A SERVICE OF PARAGON INTERNET GROUP LIMITED
REGISTERED IN ENGLAND AND WALES 7573953 - VAT REGISTRATION NUMBER 182147021
5TH FLOOR, THE OLD VINYL FACTORY, HAYES, UB3 1HA, UNITED KINGDOM